#include <iostream>

using namespace std;

int main()
{
   int a,b,c,d;
   cin>>a>>b>>c>>d;
   if (a==c && b!=d)
   {
       cout<<"drugi";
   }
   else if (b==d && a!=c)
   {
       cout<<"prvi";
   }
   else if (a==c && b==d)
   {
       cout<<"nijedan";
   }
   else if (a!=c && b!=d)
   {
       cout<<"?";
   }
}